Integrate wso2bps
authorhuangjian <huang.jian12@zte.com.cn>
Tue, 11 Oct 2016 08:56:18 +0000 (16:56 +0800)
committerhuangjian <huang.jian12@zte.com.cn>
Tue, 11 Oct 2016 08:56:18 +0000 (16:56 +0800)
Change-Id: I5aca17e5a8723fa151907d52e9279568e7cdf7f1
issue-id: OCS-104
Signed-off-by: huangjian <huang.jian12@zte.com.cn>
25 files changed:
wso2bpel-ext/wso2bpel-core/distribution/standalone/lib/wso2bps-3.5.0.zip [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/pom.xml
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/initDB.sh [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/run.bat
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/run.sh
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/stop.bat
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/stop.sh
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/find_kill_process.bat [moved from wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/find_kill_process.bat with 100% similarity]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/shutdown.bat [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/shutdown.sh [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/startup.bat [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/startup.sh [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/conf/wso2bpel.yml [moved from wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/conf/wso2bpel.yml with 100% similarity]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/find_kill_process.bat [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/shutdown.bat [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/shutdown.sh [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/dbscripts/bps/bpel/create/wso-bpel-mysql-createdb.sql [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel-eventlistener-2.1.2.jar [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel4restlight.jar [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/mysql-connector-java-5.1.39-bin.jar [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/bps.xml [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/activiti-datasources.xml [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/bps-datasources.xml [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/master-datasources.xml [new file with mode: 0644]
wso2bpel-ext/wso2bpel-core/wso2bpel-mgr/src/main/resources/api-doc/index.html

diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/lib/wso2bps-3.5.0.zip b/wso2bpel-ext/wso2bpel-core/distribution/standalone/lib/wso2bps-3.5.0.zip
new file mode 100644 (file)
index 0000000..0a5e9cd
Binary files /dev/null and b/wso2bpel-ext/wso2bpel-core/distribution/standalone/lib/wso2bps-3.5.0.zip differ
index 2a110fc..8e2b3bb 100644 (file)
                                     <artifactId>wso2bpel-mgr</artifactId>
                                     <type>jar</type>
                                     <overWrite>true</overWrite>
-                                    <outputDirectory>${linux64outputdir}</outputDirectory>
+                                    <outputDirectory>${linux64outputdir}/wso2bps-ext</outputDirectory>
                                     <destFileName>wso2bpel-service.jar</destFileName>
                                 </artifactItem>
                             </artifactItems>
                                     <artifactId>wso2bpel-mgr</artifactId>
                                     <type>jar</type>
                                     <overWrite>true</overWrite>
-                                    <outputDirectory>${win64outputdir}</outputDirectory>
+                                    <outputDirectory>${win64outputdir}/wso2bps-ext</outputDirectory>
                                     <destFileName>wso2bpel-service.jar</destFileName>
                                 </artifactItem>
                             </artifactItems>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-antrun-plugin</artifactId>
                 <executions>
+                    <execution>
+                        <id>unzip-wso2bps</id>
+                        <phase>generate-resources</phase>
+                        <goals>
+                            <goal>run</goal>
+                        </goals>
+                        <configuration>
+                            <target name="unzip-wso2bps">
+                                <unzip src="lib/wso2bps-3.5.0.zip" dest="target/assembly/wso2bps">
+                                    <patternset>
+                                        <exclude name="**/*.bat" />
+                                    </patternset>
+                                </unzip>
+                                <copy todir="${linux64outputdir}/wso2bps">
+                                    <fileset dir="target/assembly/wso2bps/wso2bps-3.5.0">
+                                        <exclude name="**/*.bat" />
+                                    </fileset>
+                                </copy>
+                                <copy todir="${win64outputdir}/wso2bps">
+                                    <fileset dir="target/assembly/wso2bps/wso2bps-3.5.0">
+                                        <exclude name="**/*.sh" />
+                                    </fileset>
+                                </copy>
+                            </target>
+                        </configuration>
+                    </execution>
                     <execution>
                         <id>distribution</id>
                         <phase>package</phase>
                         </goals>
                         <configuration>
                             <target name="distribution">
-                                <copy todir="target/assembly/linux64/lib">
+                                <copy todir="target/assembly/linux64/wso2bps-ext/lib">
                                     <fileset dir="../../wso2bpel-mgr/lib">
                                         <include name="*" />
                                     </fileset>
                                 </copy>
-                                <copy todir="target/assembly/win64/lib">
+                                <copy todir="target/assembly/win64/wso2bps-ext/lib">
                                     <fileset dir="../../wso2bpel-mgr/lib">
                                         <include name="*" />
                                     </fileset>
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/initDB.sh b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/initDB.sh
new file mode 100644 (file)
index 0000000..eacbaf2
--- /dev/null
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# Copyright 2016 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+
+
+echo "start to change db ip and port"
+sed -i "s|localhost|$host|" wso2bps/repository/conf/datasources/bps-datasources.xml
+sed -i "s|3306|$port|" wso2bps/repository/conf/datasources/bps-datasources.xml
+cat wso2bps/repository/conf/datasources/bps-datasources.xml
+echo "end of change db ip and port"
+echo ""
+
+echo "start create wso2 bpel db"
+mysql -u$user -p$password -P$port -h$host <$HOME/wso2bps/dbscripts/bps/bpel/create/wso-bpel-mysql-createdb.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+    echo "failed to create wso2 bpel database"
+    exit 1
+fi
+
+
+echo "start create wso2 bpel table"
+mysql -u$user -p$password -P$port -h$host -Dwso_bpel <$HOME/wso2bps/dbscripts/bps/bpel/create/mysql.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+  echo "failed to create wso2 bpel table"
+  exit 1
+fi
+
+echo "init wso2 bpel database success!"
+exit 0
+
+
index 332d1e8..253a589 100644 (file)
 @REM\r
 \r
 @echo off\r
-title wso2bpel-service\r
+title wso2\r
 \r
 set RUNHOME=%~dp0\r
-echo ### RUNHOME: %RUNHOME%\r
-echo ### Starting wso2bpel-service\r
+echo ##RUNHOME %RUNHOME%\r
 \r
-set JAVA="%JAVA_HOME%\bin\java.exe"\r
-set port=8312\r
-set jvm_opts=-Xms50m -Xmx128m\r
-rem set jvm_opts=%jvm_opts% -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=%port%,server=y,suspend=n\r
-set class_path=%RUNHOME%;lib\*;%RUNHOME%wso2bpel-service.jar\r
-echo ### jvm_opts: %jvm_opts%\r
-echo ### class_path: %class_path%\r
 \r
-%JAVA% -classpath %class_path% %jvm_opts% org.openo.carbon.bpel.Wso2BpelApplication server %RUNHOME%conf/wso2bpel.yml\r
+echo ### Starting wso2bps\r
+start /D %RUNHOME%wso2bps bin\wso2server.bat\r
+\r
+echo ### Starting wso2bps-ext\r
+start /D %RUNHOME%wso2bps-ext bin\startup.bat \r
 \r
-IF ERRORLEVEL 1 goto showerror\r
-exit\r
-:showerror\r
-echo WARNING: Error occurred during startup or Server abnormally stopped by way of killing the process,Please check!\r
-echo After checking, press any key to close \r
-pause\r
-exit
\ No newline at end of file
index ddcfb2f..d6cf1b9 100644 (file)
 # limitations under the License.
 #
 
+
 DIRNAME=`dirname $0`
 RUNHOME=`cd $DIRNAME/; pwd`
 echo @RUNHOME@ $RUNHOME
 
-echo @JAVA_HOME@ $JAVA_HOME
-JAVA="$JAVA_HOME/bin/java"
-echo @JAVA@ $JAVA
-
-JAVA_OPTS="-Xms50m -Xmx128m"
-port=8312
-#JAVA_OPTS="$JAVA_OPTS -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=$port,server=y,suspend=n"
-echo @JAVA_OPTS@ $JAVA_OPTS
+echo "### Starting wso2bps";
+cd wso2bps
+$RUNHOME/wso2bps/bin/wso2server.sh &
+cd $RUNHOME
 
-class_path="$RUNHOME/:$RUNHOME/lib/*:$RUNHOME/wso2bpel-service.jar"
-echo @class_path@ $class_path
 
-"$JAVA" $JAVA_OPTS -classpath "$class_path" org.openo.carbon.bpel.Wso2BpelApplication server "$RUNHOME/conf/wso2bpel.yml"
+echo "\n\n### Starting wso2bps-ext"
+cd wso2bps-ext
+$RUNHOME/wso2bps-ext/bin/startup.sh &
+echo "### Starting wso2 end...";
 
index 76b2f58..60ebad4 100644 (file)
 @REM\r
 \r
 @echo off\r
-title stopping wso2bpel-service\r
+title wso2\r
 \r
-set HOME=%~dp0\r
-set Main_Class="org.openo.carbon.bpel.Wso2BpelApplication"\r
+set RUNHOME=%~dp0\r
+echo ##RUNHOME %RUNHOME%\r
 \r
-echo ================== wso2bpel-service info =============================================\r
-echo HOME=$HOME\r
-echo Main_Class=%Main_Class%\r
-echo ===============================================================================\r
 \r
-echo ### Stopping wso2bpel-service\r
-cd /d %HOME%\r
+echo ### Starting wso2bps\r
+start /D %RUNHOME%wso2bps bin\shutdown.bat\r
 \r
-for /f "delims=" %%i in ('"%JAVA_HOME%\bin\jcmd"') do (\r
-  call find_kill_process "%%i" %Main_Class%\r
-)\r
-exit
\ No newline at end of file
+echo ### Starting wso2bps-ext\r
+start /D %RUNHOME%wso2bps-ext bin\shutdown.bat \r
index 6d5d93f..1c02784 100644 (file)
 # limitations under the License.
 #
 
-#!/bin/bash
-#
-#
-# Copyright 2016 [ZTE] and others.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
 DIRNAME=`dirname $0`
-HOME=`cd $DIRNAME/; pwd`
-Main_Class="org.openo.carbon.bpel.Wso2BpelApplication"
-
-echo ================== wso2bpel-service info =============================================
-echo HOME=$HOME
-echo Main_Class=$Main_Class
-echo ===============================================================================
-cd $HOME; pwd
-
-echo @WORK_DIR@ $HOME
+RUNHOME=`cd $DIRNAME/; pwd`
+echo @RUNHOME@ $RUNHOME
 
-function save_service_pid(){
-    service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
-    echo @service_pid@ $service_pid
-}
+echo "### Shutdown wso2bps";
+cd wso2bps
+$RUNHOME/wso2bps/shutdown.sh &
+cd $RUNHOME
 
-function kill_service_process(){
-    ps -p $service_pid
-    if [ $? == 0 ]; then
-        kill -9 $service_pid
-    fi
-}
 
-save_service_pid;
-echo @C_CMD@ kill -9 $service_pid
-kill_service_process;
+echo "\n\n### Shutdown wso2bps-ext"
+cd wso2bps-ext
+$RUNHOME/wso2bps-ext/bin/shutdown.sh &
+echo "### Shutdown wso2 end...";
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/shutdown.bat b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/shutdown.bat
new file mode 100644 (file)
index 0000000..76b2f58
--- /dev/null
@@ -0,0 +1,34 @@
+@REM\r
+@REM Copyright 2016 ZTE Corporation.\r
+@REM\r
+@REM Licensed under the Apache License, Version 2.0 (the "License");\r
+@REM you may not use this file except in compliance with the License.\r
+@REM You may obtain a copy of the License at\r
+@REM\r
+@REM     http://www.apache.org/licenses/LICENSE-2.0\r
+@REM\r
+@REM Unless required by applicable law or agreed to in writing, software\r
+@REM distributed under the License is distributed on an "AS IS" BASIS,\r
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+@REM See the License for the specific language governing permissions and\r
+@REM limitations under the License.\r
+@REM\r
+\r
+@echo off\r
+title stopping wso2bpel-service\r
+\r
+set HOME=%~dp0\r
+set Main_Class="org.openo.carbon.bpel.Wso2BpelApplication"\r
+\r
+echo ================== wso2bpel-service info =============================================\r
+echo HOME=$HOME\r
+echo Main_Class=%Main_Class%\r
+echo ===============================================================================\r
+\r
+echo ### Stopping wso2bpel-service\r
+cd /d %HOME%\r
+\r
+for /f "delims=" %%i in ('"%JAVA_HOME%\bin\jcmd"') do (\r
+  call find_kill_process "%%i" %Main_Class%\r
+)\r
+exit
\ No newline at end of file
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/shutdown.sh b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/shutdown.sh
new file mode 100644 (file)
index 0000000..6d5d93f
--- /dev/null
@@ -0,0 +1,61 @@
+#
+# Copyright 2016 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+#!/bin/bash
+#
+#
+# Copyright 2016 [ZTE] and others.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+Main_Class="org.openo.carbon.bpel.Wso2BpelApplication"
+
+echo ================== wso2bpel-service info =============================================
+echo HOME=$HOME
+echo Main_Class=$Main_Class
+echo ===============================================================================
+cd $HOME; pwd
+
+echo @WORK_DIR@ $HOME
+
+function save_service_pid(){
+    service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
+    echo @service_pid@ $service_pid
+}
+
+function kill_service_process(){
+    ps -p $service_pid
+    if [ $? == 0 ]; then
+        kill -9 $service_pid
+    fi
+}
+
+save_service_pid;
+echo @C_CMD@ kill -9 $service_pid
+kill_service_process;
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/startup.bat b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/startup.bat
new file mode 100644 (file)
index 0000000..1d32352
--- /dev/null
@@ -0,0 +1,40 @@
+@REM\r
+@REM Copyright 2016 ZTE Corporation.\r
+@REM\r
+@REM Licensed under the Apache License, Version 2.0 (the "License");\r
+@REM you may not use this file except in compliance with the License.\r
+@REM You may obtain a copy of the License at\r
+@REM\r
+@REM     http://www.apache.org/licenses/LICENSE-2.0\r
+@REM\r
+@REM Unless required by applicable law or agreed to in writing, software\r
+@REM distributed under the License is distributed on an "AS IS" BASIS,\r
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+@REM See the License for the specific language governing permissions and\r
+@REM limitations under the License.\r
+@REM\r
+\r
+@echo off\r
+title wso2bpel-service\r
+\r
+set RUNHOME=%~dp0\r
+echo ### RUNHOME: %RUNHOME%\r
+echo ### Starting wso2bpel-service\r
+\r
+set JAVA="%JAVA_HOME%\bin\java.exe"\r
+set port=8312\r
+set jvm_opts=-Xms50m -Xmx128m\r
+rem set jvm_opts=%jvm_opts% -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=%port%,server=y,suspend=n\r
+set class_path=%RUNHOME%;..\lib\*;%RUNHOME%..\wso2bpel-service.jar\r
+echo ### jvm_opts: %jvm_opts%\r
+echo ### class_path: %class_path%\r
+\r
+%JAVA% -classpath %class_path% %jvm_opts% org.openo.carbon.bpel.Wso2BpelApplication server %RUNHOME%../conf/wso2bpel.yml\r
+\r
+IF ERRORLEVEL 1 goto showerror\r
+exit\r
+:showerror\r
+echo WARNING: Error occurred during startup or Server abnormally stopped by way of killing the process,Please check!\r
+echo After checking, press any key to close \r
+pause\r
+exit
\ No newline at end of file
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/startup.sh b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps-ext/bin/startup.sh
new file mode 100644 (file)
index 0000000..8f72352
--- /dev/null
@@ -0,0 +1,34 @@
+#
+# Copyright 2016 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+RUNHOME=`cd $DIRNAME/; pwd`
+echo @RUNHOME@ $RUNHOME
+
+echo @JAVA_HOME@ $JAVA_HOME
+JAVA="$JAVA_HOME/bin/java"
+echo @JAVA@ $JAVA
+
+JAVA_OPTS="-Xms50m -Xmx128m"
+port=8312
+#JAVA_OPTS="$JAVA_OPTS -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,address=$port,server=y,suspend=n"
+echo @JAVA_OPTS@ $JAVA_OPTS
+
+class_path="$RUNHOME/:$RUNHOME/../lib/*:$RUNHOME/../wso2bpel-service.jar"
+echo @class_path@ $class_path
+
+"$JAVA" $JAVA_OPTS -classpath "$class_path" org.openo.carbon.bpel.Wso2BpelApplication server "$RUNHOME/../conf/wso2bpel.yml"
+
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/find_kill_process.bat b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/find_kill_process.bat
new file mode 100644 (file)
index 0000000..d89cf27
--- /dev/null
@@ -0,0 +1,23 @@
+@REM\r
+@REM Copyright (C) 2015 ZTE, Inc. and others. All rights reserved. (ZTE)\r
+@REM\r
+@REM Licensed under the Apache License, Version 2.0 (the "License");\r
+@REM you may not use this file except in compliance with the License.\r
+@REM You may obtain a copy of the License at\r
+@REM\r
+@REM         http://www.apache.org/licenses/LICENSE-2.0\r
+@REM\r
+@REM Unless required by applicable law or agreed to in writing, software\r
+@REM distributed under the License is distributed on an "AS IS" BASIS,\r
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\r
+@REM See the License for the specific language governing permissions and\r
+@REM limitations under the License.\r
+@REM\r
+echo %1 | findstr %2 >NUL\r
+echo ERRORLEVEL=%ERRORLEVEL%\r
+IF ERRORLEVEL 1 goto findend\r
+for /f "tokens=1" %%a in (%1) do (  \r
+    echo kill %1\r
+       taskkill /F /pid %%a\r
+)\r
+:findend
\ No newline at end of file
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/shutdown.bat b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/shutdown.bat
new file mode 100644 (file)
index 0000000..d932cb7
--- /dev/null
@@ -0,0 +1,34 @@
+@REM
+@REM Copyright (C) 2015 ZTE, Inc. and others. All rights reserved. (ZTE)
+@REM
+@REM Licensed under the Apache License, Version 2.0 (the "License");
+@REM you may not use this file except in compliance with the License.
+@REM You may obtain a copy of the License at
+@REM
+@REM         http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing, software
+@REM distributed under the License is distributed on an "AS IS" BASIS,
+@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM See the License for the specific language governing permissions and
+@REM limitations under the License.
+@REM
+@echo off
+title stopping WSO2
+
+set HOME=%~dp0
+set Main_Class="org.wso2.carbon.bootstrap.Bootstrap"
+
+echo ================== WSO2 info  =============================================
+echo HOME=$HOME
+echo Main_Class=%Main_Class%
+echo ===============================================================================
+
+echo ### Stopping WSO2
+cd /d %HOME%
+
+rem set JAVA_HOME=D:\WorkSoftware\jdk1.7.0_60
+for /f "delims=" %%i in ('"%JAVA_HOME%\bin\jcmd"') do (
+  call find_kill_process "%%i" %Main_Class%
+)
+exit
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/shutdown.sh b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/bin/shutdown.sh
new file mode 100644 (file)
index 0000000..06a0950
--- /dev/null
@@ -0,0 +1,44 @@
+#!/bin/bash
+#
+# Copyright (C) 2015 ZTE, Inc. and others. All rights reserved. (ZTE)
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#         http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+Main_Class="org.wso2.carbon.bootstrap.Bootstrap"
+
+echo ================== umc-service info  =============================================
+echo HOME=$HOME
+echo Main_Class=$Main_Class
+echo ===============================================================================
+cd $HOME; pwd
+
+echo @WORK_DIR@ $HOME
+
+function save_service_pid(){
+       service_pid=`ps -ef | grep $Main_Class | grep -v grep | awk '{print $2}'`
+       echo @service_pid@ $service_pid
+}
+
+function kill_service_process(){
+       ps -p $service_pid
+       if [ $? == 0 ]; then
+               kill -9 $service_pid
+       fi
+}
+
+save_service_pid;
+echo @C_CMD@ kill -9 $service_pid
+kill_service_process;
\ No newline at end of file
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/dbscripts/bps/bpel/create/wso-bpel-mysql-createdb.sql b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/dbscripts/bps/bpel/create/wso-bpel-mysql-createdb.sql
new file mode 100644 (file)
index 0000000..16dca47
--- /dev/null
@@ -0,0 +1,31 @@
+--
+-- Copyright 2016 ZTE Corporation.
+--
+-- Licensed under the Apache License, Version 2.0 (the "License");
+-- you may not use this file except in compliance with the License.
+-- You may obtain a copy of the License at
+--
+--     http://www.apache.org/licenses/LICENSE-2.0
+--
+-- Unless required by applicable law or agreed to in writing, software
+-- distributed under the License is distributed on an "AS IS" BASIS,
+-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+-- See the License for the specific language governing permissions and
+-- limitations under the License.
+--
+
+/******************drop old database and user***************************/
+use mysql;
+drop database IF  EXISTS wso_bpel;
+delete from user where User='wso_bpel';
+FLUSH PRIVILEGES;
+
+/******************create new database and user***************************/
+create database wso_bpel CHARACTER SET utf8;
+
+GRANT ALL PRIVILEGES ON wso_bpel.* TO 'wso_bpel'@'%' IDENTIFIED BY 'wso_bpel' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON mysql.* TO 'wso_bpel'@'%' IDENTIFIED BY 'wso_bpel' WITH GRANT OPTION;
+
+GRANT ALL PRIVILEGES ON wso_bpel.* TO 'wso_bpel'@'localhost' IDENTIFIED BY 'wso_bpel' WITH GRANT OPTION;
+GRANT ALL PRIVILEGES ON mysql.* TO 'wso_bpel'@'localhost' IDENTIFIED BY 'wso_bpel' WITH GRANT OPTION;
+FLUSH PRIVILEGES; 
\ No newline at end of file
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel-eventlistener-2.1.2.jar b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel-eventlistener-2.1.2.jar
new file mode 100644 (file)
index 0000000..4c8837a
Binary files /dev/null and b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel-eventlistener-2.1.2.jar differ
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel4restlight.jar b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel4restlight.jar
new file mode 100644 (file)
index 0000000..9d6192f
Binary files /dev/null and b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/bpel4restlight.jar differ
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/mysql-connector-java-5.1.39-bin.jar b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/mysql-connector-java-5.1.39-bin.jar
new file mode 100644 (file)
index 0000000..dac6e14
Binary files /dev/null and b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/components/lib/mysql-connector-java-5.1.39-bin.jar differ
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/bps.xml b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/bps.xml
new file mode 100644 (file)
index 0000000..1e09356
--- /dev/null
@@ -0,0 +1,174 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+ ~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
+ ~
+ ~ WSO2 Inc. licenses this file to you under the Apache License,
+ ~ Version 2.0 (the "License"); you may not use this file except
+ ~ in compliance with the License.
+ ~ You may obtain a copy of the License at
+ ~
+ ~    http://www.apache.org/licenses/LICENSE-2.0
+ ~
+ ~ Unless required by applicable law or agreed to in writing,
+ ~ software distributed under the License is distributed on an
+ ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+ ~ KIND, either express or implied.  See the License for the
+ ~ specific language governing permissions and limitations
+ ~ under the License.
+ -->
+<tns:WSO2BPS xmlns:tns="http://wso2.org/bps/config">
+    <!-- Database Configuration for WSO2 BPS BPEL Engine's Persistence Storage  -->
+    <tns:DataBaseConfig>
+        <!-- Data source configuration. Use data sources created in data sources component. -->
+        <tns:DataSource name="bpsds">
+          <!--tns:JNDI contextFactory="com.sun.jndi.rmi.registry.RegistryContextFactory" providerURL="rmi://localhost:2199"/-->
+        </tns:DataSource>
+    </tns:DataBaseConfig>
+       
+       <tns:ExtensionBundles>
+               <tns:runtimes>
+                       <tns:runtime class="de.unistuttgart.iaas.bpel.extensions.bpel4restlight.Bpel4RestLightExtensionBundle"/>
+               </tns:runtimes>
+       </tns:ExtensionBundles>
+
+
+    <!-- Process dehydration configuration -->
+    <!--<tns:ProcessDehydration maxCount="0" value="true">
+        <tns:MaxAge value="0"/>
+    </tns:ProcessDehydration>-->
+
+    <!--<tns:TransactionFactory class=""/>-->
+
+    <!-- BPEL Event Listeners. They must implement BPELEventListener interface -->
+    <!--<tns:EventListeners>
+        <tns:listener class="org.wso2.bps.SampleEventListener"/>
+    </tns:EventListeners>-->
+
+    <!--tns:EventListeners>
+        <tns:listener class="org.wso2.carbon.bpel.core.ode.integration.jmx.JmxBpelEventListener"/>
+    </tns:EventListeners-->
+
+    <!-- BPEL Message Exchange Interceptors. Used to track and handle incoming and out going
+         Messages from BPEL Processes.
+    -->
+    <!--<tns:MexInterceptors>
+        <tns:interceptor class=""/>
+    </tns:MexInterceptors>-->
+
+    <!-- BPEL Extensions -->
+    <!--<tns:ExtensionBundles>
+        <tns:runtimes>
+            <tns:runtime class="org.wso2.bps.SampleExtensionRuntime"/>
+        </tns:runtimes>
+        <tns:filters>
+            <tns:filter class="org.wso2.bps.SampleCorrelationFilter"/>
+        </tns:filters>
+    </tns:ExtensionBundles>-->
+
+    <!-- OpenJPA specific configuration properties -->
+    <tns:OpenJPAConfig>
+        <tns:property name="openjpa.FlushBeforeQueries" value="true"/>
+       <tns:property name="openjpa.TransactionMode" value="local"/>
+    </tns:OpenJPAConfig>
+
+    <!-- Message exchange timeout. Default value is 120000ms -->
+    <!--<tns:MexTimeOut value="120000"/>-->
+
+    <!-- External Service invocation timeout. Default value is 60000ms -->
+    <!--<tns:ExternalServiceTimeOut value="60000"/>-->
+
+    <!-- MultithreadedHttpConnectionManager tuning parameters -->
+    <tns:MultithreadedHttpConnectionManagerConfig>
+        <tns:maxConnectionsPerHost value="20"/>
+        <tns:maxTotalConnections value="100"/>
+        <!--<tns:connectionKeepAlive value="false"/> -->
+    </tns:MultithreadedHttpConnectionManagerConfig>
+
+    <!-- Process instance cleanup feature in WSO2 Business Process Server
+         allows you to configure periodic process instance cleanup tasks based
+         on various process instance properties to remove process instance data
+         from WSO2 BPS persistence storage.
+         Refer - http://www.quartz-scheduler.org/docs/tutorials/crontrigger.html to
+         declare cron expressions format
+         Following sample configuration schedule a cleanup task at 5:11 PM every day
+         to clean completed process instances.
+    -->
+    <!--<tns:Schedules>
+        <tns:Schedule when="0 11 17 * * ?">
+            <tns:cleanup>
+                <tns:filter><![CDATA[status=completed]]></tns:filter>
+            </tns:cleanup>
+        </tns:Schedule>
+    </tns:Schedules>-->
+
+    <!-- By default all the BPEL packages are read from the file system. If you need to Synchronize
+    the file system bpel repository with set the following parameter to true. This will check the
+    timestamp of the BPEL packages in the file system against the BPEL packages in the registry. If
+    they do not match then the BPEL package in the registry is copied to the file system. -->
+    <!--<tns:SyncWithRegistry>false</tns:SyncWithRegistry>-->
+
+    <!-- The property InMemoryInstanceTimeToLive may be used to limit the time-to-live of in-memory instances.
+     This setting can be useful to avoid memory leaks related to in-memory processes that may get
+      'stuck' during execution and never terminate (time should be specified in milliseconds) -->
+    <!--tns:InMemoryInstanceTimeToLive>600000</tns:InMemoryInstanceTimeToLive-->
+
+    <!-- This property  can be used to configure ode scheduler thread pool size  -->
+    <tns:ODESchedulerThreadPoolSize>50</tns:ODESchedulerThreadPoolSize>
+    
+    <!-- If you are using BPS in a clustered environment, then uncomment blow entry -->
+    <!-- <tns:UseDistributedLock>true</tns:UseDistributedLock> -->
+    
+    <!-- <tns:UseInstanceStateCache>true</tns:UseInstanceStateCache> -->
+
+    <!-- You can assign a unique id for each node in the cluster using NodeId property -->
+    <!-- <tns:NodeId></tns:NodeId>  -->
+
+    <!-- Simple Scheduler related configuration -->
+    <!--<tns:ODESchedulerConfiguration>-->
+        <!-- Maximum number of jobs in the "near future" todo queue. -->
+        <!--<tns:ODESchedulerQueueLength>10000</tns:ODESchedulerQueueLength>-->
+
+        <!--Jobs scheduled with a time that is between [now, now+immediateInterval] will be assigned to the current node,
+        and placed directly on the todo queue. time in ms-->
+        <!--<tns:ODESchedulerImmediateInterval>30000</tns:ODESchedulerImmediateInterval>-->
+
+        <!--Jobs scheduled with a time that is between (now+immediateInterval,now+nearFutureInterval) will be assigned to the current
+        node, but will not be placed on the todo queue (the promoter will pick them up). time in ms -->
+        <!--<tns:ODESchedulerNearFutureInterval>600000</tns:ODESchedulerNearFutureInterval>-->
+
+        <!-- Stale node check interval in ms-->
+        <!--<tns:ODESchedulerStaleInterval>10000</tns:ODESchedulerStaleInterval>-->
+
+        <!--  Estimated sustained transaction per second capacity of the system.
+        e.g. 100 means the system can process 100 jobs per seconds, on average
+        This number is used to determine how many jobs to load from the database at once.-->
+        <!--<tns:ODESchedulerTransactionsPerSecond>100</tns:ODESchedulerTransactionsPerSecond>-->
+
+        <!-- Duration used to log a warning if a job scheduled at a date D is queued at D'>D+_warningDelay -->
+        <!--<tns:ODESchedulerWarningDelay>300000</tns:ODESchedulerWarningDelay>-->
+
+        <!--  Number of immediate retries when the transaction fails -->
+        <!--<tns:ODESchedulerImmediateTransactionRetryLimit>3</tns:ODESchedulerImmediateTransactionRetryLimit>-->
+
+        <!-- Interval between immediate retries when the transaction fails -->
+        <!--<tns:ODESchedulerImmediateTransactionRetryInterval>1000</tns:ODESchedulerImmediateTransactionRetryInterval>-->
+
+    <!-- End of Simple Scheduler related configuration -->
+    <!--</tns:ODESchedulerConfiguration>--> 
+
+    <!--Configurations for BPEL UI-->
+    <tns:BpelUI>
+        <!--Set the maximum value size for a variable in a instance view in kilobytes,-->
+        <!--higher sizes may slowdown the instance view rendering. Default size is 1000KB.-->
+        <!--Please note that this only limits the displayed variable content size.-->
+        <!--<tns:InstanceViewVariableLength>1000</tns:InstanceViewVariableLength>-->
+
+        <!--This property specify the maximum number of BPEL process instances that can be deleted in a single delete instance-->
+        <!--request. Default value is 1000. Increase this with caution. It may result in various timeout exceptions.-->
+        <!--<tns:BpelInstanceDeletionLimit>1000</tns:BpelInstanceDeletionLimit>-->
+    </tns:BpelUI>
+
+    <!--Timeout for the BPEL Transaction Manager in seconds. Default is 10 minutes-->
+    <!--<tns:TransactionManagerTimeout></tns:TransactionManagerTimeout>-->
+
+</tns:WSO2BPS>
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/activiti-datasources.xml b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/activiti-datasources.xml
new file mode 100644 (file)
index 0000000..f95cb87
--- /dev/null
@@ -0,0 +1,32 @@
+<datasources-configuration xmlns:svns="http://org.wso2.securevault/configuration">
+  
+    <providers>
+        <provider>org.wso2.carbon.ndatasource.rdbms.RDBMSDataSourceReader</provider>
+    </providers>
+  
+    <datasources>
+      
+        <datasource>
+            <name>ACTIVITI_DB</name>
+            <description>The datasource used for activiti engine</description>
+            <jndiConfig>
+                <name>jdbc/ActivitiDB</name>
+            </jndiConfig>
+            <definition type="RDBMS">
+                <configuration>
+                    <url>jdbc:h2:repository/database/activiti;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE;LOCK_TIMEOUT=60000</url>
+                    <username>wso2carbon</username>
+                    <password>wso2carbon</password>
+                    <driverClassName>org.h2.Driver</driverClassName>
+                    <maxActive>50</maxActive>
+                    <maxWait>60000</maxWait>
+                    <testOnBorrow>true</testOnBorrow>
+                    <validationQuery>SELECT 1</validationQuery>
+                    <validationInterval>30000</validationInterval>
+                </configuration>
+            </definition>
+        </datasource>
+
+    </datasources>
+
+</datasources-configuration>
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/bps-datasources.xml b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/bps-datasources.xml
new file mode 100644 (file)
index 0000000..22f79f7
--- /dev/null
@@ -0,0 +1,32 @@
+<datasources-configuration xmlns:svns="http://org.wso2.securevault/configuration">
+
+    <providers>
+        <provider>org.wso2.carbon.ndatasource.rdbms.RDBMSDataSourceReader</provider>
+    </providers>
+
+    <datasources>
+        <datasource>
+            <name>BPS_DS</name>
+            <description/>
+            <jndiConfig>
+                <name>bpsds</name>
+            </jndiConfig>
+            <definition type="RDBMS">
+                <configuration>
+                    <url>jdbc:mysql://localhost:3306/wso_bpel</url>
+                    <username>wso_bpel</username>
+                    <password>wso_bpel</password>
+                    <driverClassName>com.mysql.jdbc.Driver</driverClassName>
+                    <testOnBorrow>true</testOnBorrow>
+                    <validationQuery>SELECT 1</validationQuery>
+                    <validationInterval>30000</validationInterval>
+                    <useDataSourceFactory>false</useDataSourceFactory>
+                    <defaultAutoCommit>true</defaultAutoCommit>
+                    <maxActive>100</maxActive>
+                    <maxIdle>20</maxIdle>
+                    <maxWait>10000</maxWait>
+                </configuration>
+            </definition>
+        </datasource>
+    </datasources>
+</datasources-configuration>
diff --git a/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/master-datasources.xml b/wso2bpel-ext/wso2bpel-core/distribution/standalone/src/main/assembly/wso2bps/repository/conf/datasources/master-datasources.xml
new file mode 100644 (file)
index 0000000..897e335
--- /dev/null
@@ -0,0 +1,68 @@
+<datasources-configuration xmlns:svns="http://org.wso2.securevault/configuration">
+  
+    <providers>
+        <provider>org.wso2.carbon.ndatasource.rdbms.RDBMSDataSourceReader</provider>
+    </providers>
+  
+    <datasources>
+      
+        <datasource>
+            <name>WSO2_CARBON_DB</name>
+            <description>The datasource used for registry and user manager</description>
+            <jndiConfig>
+                <name>jdbc/WSO2CarbonDB</name>
+            </jndiConfig>
+            <definition type="RDBMS">
+                <configuration>
+                    <url>jdbc:h2:repository/database/WSO2CARBON_DB;DB_CLOSE_ON_EXIT=FALSE;LOCK_TIMEOUT=60000</url>
+                    <username>wso2carbon</username>
+                    <password>wso2carbon</password>
+                    <driverClassName>org.h2.Driver</driverClassName>
+                    <maxActive>50</maxActive>
+                    <maxWait>60000</maxWait>
+                    <testOnBorrow>true</testOnBorrow>
+                    <validationQuery>SELECT 1</validationQuery>
+                    <validationInterval>30000</validationInterval>
+                    <defaultAutoCommit>false</defaultAutoCommit>
+                </configuration>
+            </definition>
+        </datasource>
+
+        <!-- For an explanation of the properties, see: http://people.apache.org/~fhanik/jdbc-pool/jdbc-pool.html -->
+        <!--datasource>
+            <name>SAMPLE_DATA_SOURCE</name>
+            <jndiConfig>
+                <name></name>
+                <environment>
+                    <property name="java.naming.factory.initial"></property>
+                    <property name="java.naming.provider.url"></property>
+                </environment>
+            </jndiConfig>
+            <definition type="RDBMS">
+                <configuration>
+
+                    <defaultAutoCommit></defaultAutoCommit>
+                    <defaultReadOnly></defaultReadOnly>
+                    <defaultTransactionIsolation>NONE|READ_COMMITTED|READ_UNCOMMITTED|REPEATABLE_READ|SERIALIZABLE</defaultTransactionIsolation>
+                    <defaultCatalog></defaultCatalog>
+                    <username></username>
+                    <password svns:secretAlias="WSO2.DB.Password"></password>
+                    <maxActive></maxActive>
+                    <maxIdle></maxIdle>
+                    <initialSize></initialSize>
+                    <maxWait></maxWait>
+
+                    <dataSourceClassName>com.mysql.jdbc.jdbc2.optional.MysqlXADataSource</dataSourceClassName>
+                    <dataSourceProps>
+                        <property name="url">jdbc:mysql://localhost:3306/Test1</property>
+                        <property name="user">root</property>
+                        <property name="password">123</property>
+                    </dataSourceProps>
+
+                </configuration>
+            </definition>
+        </datasource-->
+
+    </datasources>
+
+</datasources-configuration>
index 2b1448e..b195a05 100644 (file)
       if (url && url.length > 1) {
         url = decodeURIComponent(url[1]);
       } else {
-        url = "/swagger.json";
+        url = "/openoapi/wso2bpel/v1/swagger.json";
       }
       window.swaggerUi = new SwaggerUi({
         url: url,
         dom_id: "swagger-ui-container",
         supportedSubmitMethods: ['get', 'post', 'put', 'delete', 'patch'],
         onComplete: function(swaggerApi, swaggerUi){
-        
           if(typeof initOAuth == "function") {
             /*
             initOAuth({